package com.jxy.marketall.mapper;

import com.jxy.common.datasource.annotation.BiAnDb2;
import com.jxy.marketall.dto.*;
import com.jxy.marketall.vo.TreasuriesYieldsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2022/6/20 17:36
 * @Author 杜懿
 */

@BiAnDb2
public interface MacroEconomyMapper{

    /**
     * 条件查询数据库国债收益率  时间间隔为小时、天等
     * @param vo
     * @return
     */
    public List<DateStringDto> selectTreasuriesYieldsByEndTime(@Param("vo") TreasuriesYieldsVo vo);

    public List<DateStringDto> selectTreasuriesYieldsByStartTime(@Param("vo") TreasuriesYieldsVo vo);

    /**
     * 查询季节性调整的货币供应量 m1、m2
     * @return
     */
    public List<AdjustedMoneyStockMeasuresDto> getAdjustedMoneyStockMeasuresList();

    /**
     * 查询非季节性调整的货币供应量 m1、m2、mb
     * @return
     */
    public List<NotAdjustedMoneyStockMeasuresDto> getNotAdjustedMoneyStockMeasuresList();

    /***
     * 查询私营部门贷款 Private sector loans
     * @return
     */
    public List<DateStringDto> getPSIList();

    /***
     * 查询私营部门贷款 Private sector loans
     * @return
     */
    public List<DateStringDto> getGDPPrivateInvestorList();

    /***
     * 查询每周经济指标
     * @return
     */
    public List<DateStringDto> getWEIList();


    /***
     * 获取最新汇率
     * @return
     */
    public List<ExchangeRateDto> getNewExchangeRate();


    /***
     * 获取指定汇率24小时实时数据
     * @return
     */
    public List<DateStringDto> getExchangeRateList(@Param("symbol") String symbol);

    /***
     * 获取国内生产总值最新数据（ 表格）
     * @return
     */
    public List<GDPDto> getGDPTable(@Param("times") String times);

    /***
     * 获取国内生产总值某一数据列表
     * @return
     */
    public List<DateStrStringDto> getGDPByTableAndField(@Param("table") String table, @Param("field") String field);

}
